Subject: bug#9470: 24.0.50; Possible bidi-related slowness

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Sep 2011 15:41:10 -0400

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 10 Sep 2011 21:25:21 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Set bidi-paragraph-direction to `left-to-right', and the problem
> > is
> > gone.
> >
> > Such buffers should _always_ have bidi-paragraph-direction set
> > like
> > that.
> 
> Uhm.  This is the Gnus article buffer.  You don't think the Gnus
> article
> buffer should be able to display R2L text?  Okidoke.

Surely, I cannot possibly want that, can I?  That setting just tells
Emacs to display text starting at the left margin of the window.  It
doesn't stop reordering R2L text for display (see the node
"Bidirectional Display" in the ELisp manual).

Anyway, what do you mean by "article buffer"?  (I don't use Gnus.)
What does it display?  If it displays text of a single article, then
how come you gave me text is an infinite sequence of identical lines?

Can you show me a _real_ article that triggers slow display?